Hi,

 

Does anybody can tell me if it still possible to connect to our repositories using SSPI authentification mode with Subversion 1.6.12 under Apache 2.2.15.

I try both 1.0.3 and 1.0.4 version of mod_auth_sspi but nothing works for the moment.

 

We had a similar working setup under subversion 1.5.6 and Apache 2.0.x but I NEED to upgrade but I’m not sure it will be possible to use the SSPI mode.

 

There is all the steps I did:

1-      Installing CollabNet Subversion Server and Client v1.6.12 (for Windows)

2-      I download mod_auth_sspi-1.0.3 from http://sourceforge.net/projects/mod-auth-sspi/ (Note that I also try the version 1.0.4)

3-      I copy the mod_auth_sspi.so in the modules folder of apache.

4-      After, I follow all the instruction under “Authentification avec un domaine” from this web site: http://tortoisesvn.net/docs/release/TortoiseSVN_fr/tsvn-serversetup-apache.html including (httpconf modifications, ssl certificate procedures, loading appropriate modules, etc…)

5-      I had all the possible rights (R\W and even modify) on the server where Apache is installed.

There is no error in the Event viewer even in the apache logs directory. So the setup “should” be fine but it seems that there a problem anyway.

After all the setup, I got this error message when connection via web browser or tortoiseSVN: Server sent unexpected return value (403 forbidden) in response to OPTIONS request “toto/svn/my-first-repo”